NDIS_EVENTS(8)

NAME
ndis_events - relay events from ndis(4) drivers to wpa_supplicant(8)

SYNOPSIS
ndis_events [-a] [-d] [-v]

DESCRIPTION
The ndis_events utility listens for events generated by an ndis(4) wireless network driver and relays them to wpa_supplicant(8) for possible processing. The three event types that can occur are media connect and disconnect events, such as when a wireless interface joins or leaves a network, and media-specific events. In particular, ndis(4) drivers that support WPA2 will generate media-specific events containing PMKID candidate information which wpa_supplicant(8) needs in order to properly associate with WPA2-capable access points.

The ndis_events daemon works by listening for interface information events via a routing socket. When it detects an event that was generated by an ndis(4) interface, it transmits it via UDP packet on the loopback interface, where wpa_supplicant(8) is presumably listening. The standard wpa_supplicant(8) distribution includes its own version of this utility for use with Windows®. The FreeBSD version performs the same functions as the Windows® one, except that it uses an ioctl(2) and routing socket interface instead of WMI.

Note that a single instance of ndis_events is sufficient to scan for events for any number of ndis(4) interfaces in a system.

OPTIONS
The ndis_events daemon supports the following options:

-a  Process all events. By default, ndis_events will only process and forward media-specific events, which contain PMKID candidate information, and not bother forwarding connect and disconnect events, since wpa_supplicant(8) normally can determine the current link state on its own. In some cases, the additional connect and disconnect events only confuse it and make the association and authentication process take longer.

-d  Run in debug mode. This causes ndis_events to run in the foreground and generate any output to the standard error instead of using the syslog(3) facility.

-v  Run in verbose mode. This causes ndis_events to emit notifications when it receives events.

SEE ALSO
ndis(4), wpa_supplicant(8)

HISTORY
The ndis_events utility first appeared in FreeBSD 6.0.

AUTHORS
The ndis_events utility was written by Bill Paul <wpaul@windriver.com>.